> ## Documentation Index
> Fetch the complete documentation index at: https://docs.hightouch.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Trigger Match Booster enrichment

> Trigger a Match Booster enrichment run for a model. The model must have
Match Booster enabled.



## OpenAPI

````yaml https://api.hightouch.io/api/swagger.json post /models/{modelId}/match-booster/trigger
openapi: 3.0.0
info:
  title: Hightouch API
  version: 1.0.0
  description: Hightouch Public Rest API to access syncs, models, sources and destinations
  contact:
    name: Hightouch
    url: https://hightouch.com
servers:
  - url: https://api.hightouch.com/api/v1
security: []
paths:
  /models/{modelId}/match-booster/trigger:
    post:
      summary: Trigger Match Booster enrichment
      description: |-
        Trigger a Match Booster enrichment run for a model. The model must have
        Match Booster enabled.
      operationId: TriggerEnrichment
      parameters:
        - description: The id of the model to enrich
          in: path
          name: modelId
          required: true
          schema:
            type: number
            format: double
      requestBody:
        required: false
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/MatchBoosterTriggerInput'
            example:
              forceFullEnrichment: false
      responses:
        '200':
          description: Ok
          content:
            application/json:
              schema:
                anyOf:
                  - $ref: '#/components/schemas/MatchBoosterTriggerOutput'
                  - $ref: '#/components/schemas/ValidateErrorJSON'
                  - $ref: '#/components/schemas/InternalServerError'
                nullable: true
              examples:
                Example 1:
                  value:
                    id: '42'
                    status: processing
                    createdAt: '2026-08-19T00:00:00.000Z'
        '401':
          description: Unauthorized
        '403':
          description: Forbidden
        '404':
          description: Not Found
        '422':
          description: Validation Failed
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidateErrorJSON'
        '500':
          description: Something went wrong
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerError'
      security:
        - bearerAuth: []
components:
  schemas:
    MatchBoosterTriggerInput:
      description: The input of a trigger action to run a Match Booster enrichment.
      properties:
        forceFullEnrichment:
          type: boolean
          description: Whether to re-enrich all rows instead of only new/changed rows.
          default: 'false'
        region:
          type: string
          enum:
            - us
            - eu
          description: |-
            The Match Booster region to run the enrichment in. Defaults to the
            model's configured region.
      type: object
      additionalProperties: false
    MatchBoosterTriggerOutput:
      description: The output of a trigger action to run a Match Booster enrichment.
      properties:
        id:
          type: string
          description: The id of the triggered enrichment job.
        status:
          type: string
          description: The status of the triggered enrichment job.
        createdAt:
          type: string
          description: Timestamp when the enrichment job was created.
      required:
        - id
        - status
        - createdAt
      type: object
      additionalProperties: false
    ValidateErrorJSON:
      properties:
        message:
          type: string
          enum:
            - Validation failed
          nullable: false
        details:
          properties: {}
          additionalProperties: {}
          type: object
      required:
        - message
        - details
      type: object
      additionalProperties: false
    InternalServerError:
      type: string
      enum:
        - Internal Server Error
      nullable: false
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: Bearer

````